Retrieve SAML SP Configuration
Retrieves the Service Provider configuration details for a SAML client within the Tenant, identified by the application name.
Retrieves the Service Provider configuration details for a SAML client within the Tenant, identified by the application name.
Authorization
M2MBearerToken AuthorizationBearer <token>
M2M Token for authentication
In: header
Path Parameters
samlApp*string
The SAML App identifier
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/v2/manage/custom-providers/saml/my-saml-app"{
"Id": "507f1f77bcf86cd799439011",
"IsActive": true,
"IsDeleted": false,
"IsIdpInitiated": true,
"DataMap": {
"key1": "value1",
"key2": "value2"
},
"AppId": "507f1f77bcf86cd799439011",
"AppID": 123,
"RelayStateParameter": "relayState",
"Provider": "providerName",
"FriendlyProviderName": "Friendly Provider",
"DefaultLogoutUrl": "https://example.com/logout",
"ServiceProviderACSUrl": "https://example.com/acs",
"SamlServiceProvider": "SAML Service Provider",
"IdpCertificate": {
"Certificate": "certificate",
"Key": "key"
},
"SpCertificate": {
"Certificate": "certificate"
},
"IdentityProvider": {
"Binding": "binding",
"Location": "location",
"LogOut": "logout"
},
"EnableAutoLookUp": true,
"Domain": "example.com",
"ListInInterface": true,
"CreatedDate": "2023-01-01T00:00:00Z",
"LastModifiedDate": "2023-01-02T00:00:00Z"
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Description": "Security Assertion Markup Language (SAML) configuration is not configured or the resource does not exist.",
"ErrorCode": 7938,
"Message": "SAML configuration not found"
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}Retrieve SAML SP Mapping Keys GET
Retrieves a list of mapping keys available for configuring attribute mappings in SAML Service Provider clients within the Tenant.
Delete SAML SP Configuration DELETE
Deletes the Service Provider configuration for a SAML client within the Tenant, identified by the application name.